@import "font-awesome";
@import "bootstrap";
@import "typography";

body {
  background: url('bg.png') top left repeat #f5f5f5;
  color: #2f1209;
  font-family: 'ScalaSansWebPro', sans-serif;
}

.sideBar {

  .SelectCreature {
    padding: 0;

    ul li {
      white-space: nowrap;
    }
  }

  .navbar {
    background-color: rgba(74, 26, 11, 0.55);
  }

  .AvailableActions {
    padding: 15px;
    border-left: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    background-color: rgba(74, 26, 11, 0.25);
    border-color: rgba(74, 26, 11, 0.55);

    h5 {
      margin-bottom: 15px;
      margin-top: 15px;
    }

    h5:first-child {
      margin-top: 0;
    }

    .boxActions {
      border: 1px solid rgba(74, 26, 11, 0.10);
      color: #2f1209;
      padding: 10px 15px 5px;
      border-top-left-radius: 3px;
      border-bottom-left-radius: 3px;

      > div > strong {
        margin-top: 5px;
        margin-bottom: 5px;
        display: block;
      }

      > div:first-child > strong {
        margin-top: 0;
      }

      .ActionList {
        a {
          border-color: rgba(74, 26, 11, 0.75);

          strong {
            margin-left: 5px;
          }
        }

        a.btn-primary {
          background-color: rgba(74, 26, 11, 0.55);
          color: #fff;
        }

        a.btn-secondary {
          background-color: rgba(74, 26, 11, 0.15);
        }

        a:hover {
          // color: #292b2c;
          // text-decoration: none;
          // background-color: #dadada;
        }

        a:focus {
          // text-decoration: none;
        }
      }
    }
  }
}


.initiativeTable {
  padding: 0;

  .selectedActions {
    border-bottom: 1px solid rgba(74, 26, 11, 0.25);
    padding: 5px 15px;

    .eachAction {
      strong {
        margin-left: 10px;
      }
    }

    .rolls {
      > div + div {
        border-left: 1px solid #ddd;
      }
    }
  }
}

.InitiativeButtons {
  .button-holder {
    padding: 15px;

    a {
      margin-left: 10px;
    }
  }
}
